Module java.desktop
Package java.awt.desktop

## Interface OpenURIHandler

-     public interface OpenURIHandler

  An implementor is notified when the application is asked to open a URI.
  Since:
    9
  See Also:
    `Desktop.setOpenURIHandler(java.awt.desktop.OpenURIHandler)`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `openURI​(OpenURIEvent e)` | Called when the application is asked to open a `URI`

- - ### Method Detail

    - #### openURI

          void openURI​(OpenURIEvent e)

      Called when the application is asked to open a `URI`
      Parameters:
        `e` - the request to open a `URI`